/* CONTENEDOR */
.slideshow__text.banner__box{
  position:absolute;
  top:40px;
  right:40px;
  display:flex;
  flex-direction:column;
  gap:0;
  text-align:right;
  line-height:0.9; /* 🔥 más compacto */
  z-index:3;
}

/* TEXTO SUPERIOR */
.slideshow__text.banner__box h2{
  color:#e60023;
  font-size:48px;
  font-weight:600;
  letter-spacing:-3px;
  line-height:0.9; /* 🔥 reduce altura */
  margin:0;
  padding:0;
  text-shadow:0 1px 2px rgba(0,0,0,0.2);
}

/* TEXTO PRINCIPAL */
.slideshow__text.banner__box span{
  color:#e60023;
  font-size:50px;
  font-weight:800;
  letter-spacing:-2px;
  line-height:0.75; /* 🔥 súper pegado */
  margin-top:-4px;  /* 🔥 junta ambos textos */
  padding:0;
  text-shadow:0 2px 3px rgba(0,0,0,0.3);
}
/* MOBILE – CENTRADO */
@media (max-width:768px){
  .slideshow__text.banner__box{
    top:12px;
    left:50%;
    right:auto;
    transform:translateX(-50%);
    text-align:center;
    line-height:0.75;
  }

  .slideshow__text.banner__box h2{
    font-size:20px;
    line-height:-1;
    letter-spacing:-0.8px;
  }

  .slideshow__text.banner__box span{
    font-size:48px;
    line-height:-1;
    margin-top:-3px;
  }
}

.discount-badge{
  position:absolute;
  bottom:60px;
  left:0px;
  background:#e60023;
  color:#fff;
  padding:14px 30px 14px 85px;
  border-radius:0px;
  text-align:center;
  z-index:5;
  line-height:0.8;
}


.discount-badge-down strong{
  position:absolute;
  font-size:26px;
  bottom:64px;
  left:0px;
  color:#fff;
  padding:14px 35px 14px 90px;
  border-radius:0px;
  text-align:center;
  z-index:5;
  line-height:0.8;
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.80);
}


.discount-badge strong{
  display:block;
  font-size:22px;
  font-weight:600;
}

.discount-badge span{
  display:block;
  text-align:center;
  font-size:48px;
  font-weight:800;
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.90);
}

.discount-badge small{
  display:block;
  font-size:16px;
  opacity:.9;
}

/* MÓVIL */
@media(max-width:768px){
  .discount-badge{
    bottom:50px;
    left:0px;
    padding:10px 10px 10px 40px;
  }
  .discount-badge strong{
    font-size:16px;
  }
  .discount-badge span{
    font-size:32px;
    text-shadow: 0 1px 2px rgba(0, 0, 0, 0.60);
  }
  .discount-badge-down strong{
    bottom:16px;
    left:0px;
    padding:10px 50px;
    font-size:16px;
    font-weight:100;
    text-shadow: 0 1px 2px rgba(0, 0, 0, 0.25);
  }
}
